多渠道订单 - 交易明细
POST
/basicOpen/openapi/salesOrder/multi-channel/list/transaction支持查询【销售】>【SC订单】>【多渠道订单】交易明细数据
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/openapi/salesOrder/multi-channel/list/transaction | HTTPS | POST | 1 |
请求参数
amazonOrderIdstring必填sidinteger必填请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/openapi/salesOrder/multi-channel/list/transaction?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"sid": 7,
"amazonOrderId": "S03-4986301-7824623"
}'
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
listarray<object>必填隐藏子属性
costDetailsarray<object>必填隐藏子属性
currencyAmountstring必填typestring必填currencyCodestring必填eventTypestring必填fidstring必填fundTransferDateLocalestring必填postedDateLocalestring必填productNamestring必填quantitystring必填sellerSkustring必填sidstring必填skustring必填totalCurrencyAmountstring必填totalCurrencyAmountsstring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "1e5ce657c37246a29f6ce1268fa6383f.1728616190379",
"response_time": "2024-10-11 11:09:53",
"data": {
"list": [
{
"costDetails": [
{
"currencyAmount": "-JP¥713.00",
"type": "FBAPerUnitFulfillmentFee"
}
],
"currencyCode": "JPY",
"eventType": "Shipment",
"fid": "HIO94MRSKWFP",
"fundTransferDateLocale": "2021-04-15T20:24:37+09:00",
"postedDateLocale": "2021-04-08T06:21:30+09:00",
"productName": "5356",
"quantity": "0",
"sellerSku": "1100X1644-1-2",
"sid": "7",
"sku": "35636",
"totalCurrencyAmount": "JP¥-713.00"
}
],
"totalCurrencyAmounts": "-JP¥713.00"
},
"total": 0
}